<template>
  <form @submit.prevent="submitNewFriendData">
    <div>
      <label for="name">Name</label>
      <input id="name" type="text" v-model="enteredName">
    </div>

    <div>
      <label for="phone">Phone</label>
      <input id="phone" type="tel" v-model="enteredPhone">
    </div>

    <div>
      <label for="email">E-Mail</label>
      <input id="email" type="email" v-model="enteredEmail">
    </div>

    <div>
      <button>
        Add Contact
    </button>
  </div>
  </form>
</template>

<script>
  export default {
    emits: ['add-contact'],
    data() {
      return {
        enteredName: '',
        enteredPhone: '',
        enteredEmail: ''
      }
    },
    methods: {
      submitNewFriendData() {
        const newContact = {
          name:  this.enteredName,
          phone: this.enteredPhone,
          email: this.enteredEmail
        }
        this.$emit('add-contact', newContact);
      }
    }
  }
</script>

<style>
#app input {
  font: inherit;
  padding: 0.15rem;
}
#app label {
  font-weight: bold;
  margin-right: 1rem;
  width: 7rem;
  display: inline-block;
}
#app form div {
  margin: 1rem 0;
}

.error-message-text {
  font-weight: bold;
  color:red;
}
</style>